[script]
n0=on 1:start: {
n1=unset %ircx.whoblock.*
n2=  .ial on
n3=}
n4=on 1:join:#: {
n5=  if ($nick == $me) {
n6=    set %ircx.whoblock. [ $+ [ # ] ] on
n7=    .who #
n8=  }
n9=}
n10=raw 352:*: {
n11=  if (%ircx.whoblock. [ $+ [ $2 ] ] ) { halt }
n12=}
n13=raw 315:*: {
n14=  if (%ircx.whoblock. [ $+ [ $2 ] ] ) { 
n15=    unset %ircx.whoblock. [ $+ [ $2 ] ]
n16=    halt
n17=  }
n18=}
